#pragma once

#include "Model3D.h"

namespace Framework
{
    class Textur;

    enum CubeSeite
    {
        VORNE,
        HINTEN,
        RECHTS,
        LINKS,
        OBEN,
        UNTEN
    };

    //! Ein Model eines Wrfels
    class Cube : public Model3D
    {
    public:
        //! Konstruktor
        //! \param size Die Gre des Wrfels
        __declspec( dllexport ) Cube( float size );
        //! Setzt die Textur des Wrfels, so dass sie an allen Seiten gleich ist
        //! \param textur Die Textur
        __declspec( dllexport ) void setTextur( Textur *textur );
        //! Setzt die Textur von einer bestimmten Seite des Wrfels
        //! \param textur Die Textur
        //! \param s Die Seite, die gesetzt werden soll
        __declspec( dllexport ) void setTextur( Textur *textur, CubeSeite s );
    };
}